pgpool-II 4.7.2 Documentation
Prev | Up |  | Next

# pcp_stop_pgpool

## Name

pcp_stop_pgpool -- terminates the Pgpool-II process

## Synopsis

`pcp_stop_pgpool` [`options`...] [`mode`]

## Description

`pcp_stop_pgpool` terminates the Pgpool-II process.

## Options

`-m `mode``
`--mode=`mode``

  Shutdown mode for terminating the Pgpool-II process.

  The available modes are as follows (The default is "smart"):

  - s, smart : smart mode

  - f, fast : fast mode

  - i, immediate : immediate mode

  Regarding the meaning of each mode, please refer to pgpool manual.

`-s `scope``
`--scope=`scope``

  Specifies the breadth of a command's impact.

  The supported command scopes are as follows (The default is "local"):

  - c, cluster : terminates all Pgpool-II nodes part of the cluster

  - l, local : terminates local Pgpool-II node only

`Other options`

  See pcp_common_options.

Prev | Home | Next
pcp_promote_node | Up | pcp_reload_config